Name:           maven-wagon
Version:        3.1.0
Release:        3
Epoch:          0
Summary:        Tools to manage artifacts and deployment
License:        ASL 2.0
BuildArch:      noarch
URL:            http://maven.apache.org/wagon
Source0:        https://repo1.maven.org/maven2/org/apache/maven/wagon/wagon/%{version}/wagon-%{version}-source-release.zip
BuildRequires:  maven-local mvn(com.jcraft:jsch) mvn(com.jcraft:jsch.agentproxy.connector-factory) mvn(com.jcraft:jsch.agentproxy.jsch)
BuildRequires:  mvn(commons-io:commons-io) mvn(commons-net:commons-net) mvn(org.apache.httpcomponents:httpclient)
BuildRequires:  mvn(org.apache.httpcomponents:httpcore) mvn(org.apache.maven:maven-parent:pom:) mvn(org.apache.maven.plugins:maven-shade-plugin)
BuildRequires:  mvn(org.apache.maven.scm:maven-scm-api) mvn(org.apache.maven.scm:maven-scm-manager-plexus)
BuildRequires:  mvn(org.codehaus.plexus:plexus-component-metadata) mvn(org.codehaus.plexus:plexus-interactivity-api)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils) mvn(org.jsoup:jsoup) mvn(org.slf4j:jcl-over-slf4j) mvn(org.slf4j:slf4j-api)
Obsoletes:      %{name}-manual < %{epoch}:%{version}-%{release} %{name}-provider-test < %{epoch}:%{version}-%{release}

%description
Maven Wagon is a transport abstraction that is used in Maven's
artifact and repository handling code. Wagon defines a unified
API, and it currently has the following providers:
* File
* HTTP
* FTP
* SSH/SCP
* WebDAV
* SCM (in progress)

%package        provider-api
Summary:        the %{name} provider-api module
Obsoletes:      %{name} < 2.6-4
Obsoletes:      %{name}-webdav-jackrabbit < 2.9-2

%description provider-api
the %{name} provider-api module.

%package        providers
Summary:        the %{name} providers module

%description providers
the %{name} providers module

%package        file
Summary:        the %{name} file module

%description file
the %{name} file module.

%package        ftp
Summary:        the %{name} ftp module

%description ftp
the %{name} ftp module.

%package        http
Summary:        the %{name} http module

%description http
the %{name} http module.

%package        http-shared
Summary:        the %{name} http-shared module

%description http-shared
the %{name} http-shared module.

%package        http-lightweight
Summary:        the %{name} http-lightweight module

%description http-lightweight
the %{name} http-lightweight module.

%package        scm
Summary:        the %{name} scm module

%description scm
the %{name} scm module.

%package        ssh-external
Summary:        the %{name} ssh-external module

%description ssh-external
the %{name} ssh-external module.

%package        ssh-common
Summary:        the %{name} ssh-common module

%description ssh-common
the %{name} ssh-common module.

%package        ssh
Summary:        the %{name} ssh module

%description ssh
the %{name} ssh module

%package        help
Summary:This package contains help documents
Requires:       %{name} = %{epoch}:%{version}-%{release}
Provides:       maven-wagon-javadoc = %{epoch}:%{version}-%{release}
Obsoletes:      maven-wagon-javadoc < %{epoch}:%{version}-%{release}

%description    help
Files for help with maven-wagon.

%prep
%autosetup -n wagon-%{version} -p1
%pom_remove_plugin :animal-sniffer-maven-plugin
%pom_remove_plugin :maven-enforcer-plugin
%pom_remove_dep :wagon-tck-http wagon-providers/wagon-http
%pom_disable_module wagon-tcks
%pom_disable_module wagon-ssh-common-test wagon-providers/pom.xml
%pom_disable_module wagon-provider-test
%pom_remove_dep :wagon-provider-test
%pom_remove_dep :wagon-provider-test wagon-providers
%pom_disable_module wagon-webdav-jackrabbit wagon-providers

%build
%mvn_file ":wagon-{*}" %{name}/@1
%mvn_package ":wagon"
%mvn_build -f -s
%mvn_alias :wagon-http :::shaded:

%install
%mvn_install

%files -f .mfiles
%doc LICENSE
%files provider-api -f .mfiles-wagon-provider-api
%dir %{_javadir}/%{name}
%files providers -f .mfiles-wagon-providers
%files file -f .mfiles-wagon-file
%files ftp -f .mfiles-wagon-ftp
%files http -f .mfiles-wagon-http
%files http-shared -f .mfiles-wagon-http-shared
%files http-lightweight -f .mfiles-wagon-http-lightweight
%files scm -f .mfiles-wagon-scm
%files ssh-external -f .mfiles-wagon-ssh-external
%files ssh-common -f .mfiles-wagon-ssh-common
%files ssh -f .mfiles-wagon-ssh
%files help -f .mfiles-javadoc
%doc NOTICE DEPENDENCIES

%changelog
* Wed Nov 16 2022 yaoxin <yaoxin30@h-partners.com> - 0:3.1.0-3
- Modify invalid Source

* Tue Dec 03 2019 gulining<gulining1@huawei.com> - 3.1.0-2
- Pakcage init
